uuid: 38277e83-f44c-402d-86f4-d0836e26c02d
langcode: en
status: true
dependencies:
  config:
    - field.storage.taxonomy_term.field_academic_level
    - field.storage.taxonomy_term.field_class_count
    - field.storage.taxonomy_term.field_class_format
    - field.storage.taxonomy_term.field_description
    - field.storage.taxonomy_term.field_location
    - field.storage.taxonomy_term.field_subject
    - field.storage.taxonomy_term.field_title
    - search_api.server.durham_tech
  module:
    - search_api_exclude_entity
    - taxonomy
id: course_index
name: 'Course Index'
description: ''
read_only: false
field_settings:
  field_academic_level:
    label: 'Academic Level'
    datasource_id: 'entity:taxonomy_term'
    property_path: field_academic_level
    type: integer
    dependencies:
      config:
        - field.storage.taxonomy_term.field_academic_level
  field_class_count:
    label: 'Class Count'
    datasource_id: 'entity:taxonomy_term'
    property_path: field_class_count
    type: integer
    dependencies:
      config:
        - field.storage.taxonomy_term.field_class_count
  field_class_format:
    label: 'Class Format'
    datasource_id: 'entity:taxonomy_term'
    property_path: field_class_format
    type: integer
    dependencies:
      config:
        - field.storage.taxonomy_term.field_class_format
  field_description:
    label: Description
    datasource_id: 'entity:taxonomy_term'
    property_path: field_description
    type: text
    dependencies:
      config:
        - field.storage.taxonomy_term.field_description
  field_location:
    label: Locations
    datasource_id: 'entity:taxonomy_term'
    property_path: field_location
    type: string
    dependencies:
      config:
        - field.storage.taxonomy_term.field_location
  field_subject:
    label: Subject
    datasource_id: 'entity:taxonomy_term'
    property_path: field_subject
    type: integer
    dependencies:
      config:
        - field.storage.taxonomy_term.field_subject
  field_title:
    label: Title
    datasource_id: 'entity:taxonomy_term'
    property_path: field_title
    type: text
    dependencies:
      config:
        - field.storage.taxonomy_term.field_title
  name:
    label: Name
    datasource_id: 'entity:taxonomy_term'
    property_path: name
    type: text
    dependencies:
      module:
        - taxonomy
  tid:
    label: 'Term ID'
    datasource_id: 'entity:taxonomy_term'
    property_path: tid
    type: integer
    dependencies:
      module:
        - taxonomy
datasource_settings:
  'entity:taxonomy_term':
    bundles:
      default: false
      selected:
        - course
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  entity_status: {  }
  entity_type: {  }
  ignore_character:
    weights:
      preprocess_index: -10
      preprocess_query: -10
    all_fields: false
    fields:
      - field_description
      - field_location
      - field_title
      - name
    ignorable: "['¿¡!?,.:;]"
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: true
    fields:
      - field_description
      - field_location
      - field_title
      - name
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      taxonomy_term: {  }
  transliteration:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
    fields:
      - field_description
      - field_location
      - field_title
      - name
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: durham_tech
